Skip to navigation

Creates a new screen

Creates a new screen

Authentication

Authorizationstring

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'
OR
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Request

Request body.
titlestringRequired
The title of this screen.
ratioenumRequired
The width to height aspect ratio of this screen.
rotate90DegreesbooleanRequired
Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.
backgroundenumRequired
The background color to use when viewing the screen.
Allowed values:
categorieslist of stringsOptional
A list of string categories the screen belongs to.
widgetslist of objectsOptional

Response

A new screen was created successfully! Entire memberResource is returned.
idstringRead-only
The identifier of this screen.
titlestring
The title of this screen.
ratioenum
The width to height aspect ratio of this screen.
rotate90Degreesboolean
Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.
backgroundenum
The background color to use when viewing the screen.
Allowed values:
accountstringOptionalRead-only
The account this screen belongs to.
categorieslist of stringsOptional
A list of string categories the screen belongs to.
widgetslist of objectsOptional

Errors

400
Bad Request Error